<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Builder;

class PagSeguroInstructionLinesBuilder implements Builder {
	protected $line_1;
	protected $line_2;

	public function build(): PagSeguroInstructionLines {

		$obj = new PagSeguroInstructionLines();

		$obj->setLine1( $this->line_1 );
		$obj->setLine2( $this->line_2 );

		return $obj;

	}

	/**
	 *
	 * @param mixed $line_1
	 */
	public function setLine1($line_1): PagSeguroInstructionLinesBuilder {

		$this->line_1 = $line_1;
		return $this;

	}

	/**
	 *
	 * @param mixed $line_2
	 */
	public function setLine2($line_2): PagSeguroInstructionLinesBuilder {

		$this->line_2 = $line_2;
		return $this;

	}

}

